Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.actions
Class GoToEmbedded

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.actions.Action
              org.pdfclown.documents.interaction.actions.GoToDestination<T>
                  org.pdfclown.documents.interaction.actions.GoToNonLocal<Destination>
                      org.pdfclown.documents.interaction.actions.GoToEmbedded

All Implemented Interfaces:
  Cloneable, IGoToAction, IPdfObjectWrapper

    @PDF(value=PDF11)
    public final class GoToEmbedded

extends GoToNonLocal<Destination>

'Change the view to a specified destination in a PDF file embedded in another PDF file' action [PDF:1.6:8.5.3].

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `GoToEmbedded.PathElement` Path information to the target document [PDF:1.6:8.5.3].

Constructor Summary
`GoToEmbedded(Document context, FileSpecification<?> destinationFile, Destination destination)` Creates a new instance within the specified document context, pointing to a destination within another document.
`GoToEmbedded(Document context, FileSpecification<?> destinationFile, GoToEmbedded.PathElement destinationPath, Destination destination)` Creates a new instance within the specified document context.
`GoToEmbedded(Document context, GoToEmbedded.PathElement destinationPath, Destination destination)` Creates a new instance within the specified document context, pointing to a destination within an embedded document.

Method Summary
`GoToEmbedded` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`GoToEmbedded.PathElement` | `getDestinationPath()` Gets the path information to the target document.
`void` | `setDestinationPath(GoToEmbedded.PathElement value)`

Methods inherited from class org.pdfclown.documents.interaction.actions.GoToNonLocal
`getDestinationFile, getOptions, setDestinationFile, setOptions`

Methods inherited from class org.pdfclown.documents.interaction.actions.GoToDestination
`getDestination, setDestination`

Methods inherited from class org.pdfclown.documents.interaction.actions.Action
`getActions, setActions, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GoToEmbedded

    public GoToEmbedded(Document context,
                        GoToEmbedded.PathElement destinationPath,
                        Destination destination)

  Creates a new instance within the specified document context, pointing to a destination within an embedded document.

  Parameters:
    `context` - Document context.
    `destinationPath` - Path information to the target document within the destination file.
    `destination` - Destination within the target document.

### GoToEmbedded

    public GoToEmbedded(Document context,
                        FileSpecification<?> destinationFile,
                        Destination destination)

  Creates a new instance within the specified document context, pointing to a destination within another document.

  Parameters:
    `context` - Document context.
    `destinationFile` - File in which the destination is located.
    `destination` - Destination within the target document.

### GoToEmbedded

    public GoToEmbedded(Document context,
                        FileSpecification<?> destinationFile,
                        GoToEmbedded.PathElement destinationPath,
                        Destination destination)

  Creates a new instance within the specified document context.

  Parameters:
    `context` - Document context.
    `destinationFile` - File in which the destination is located.
    `destinationPath` - Path information to the target document within the destination file.
    `destination` - Destination within the target document.

Method Detail

### clone

    public GoToEmbedded clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `Action`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getDestinationPath

    public GoToEmbedded.PathElement getDestinationPath()

  Gets the path information to the target document.

### setDestinationPath

    public void setDestinationPath(GoToEmbedded.PathElement value)

  See Also:
    `getDestinationPath()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.